/*

!----------------------------------------------------------------------------!
!                                                                            !
! Yexpert : (your) Système Expert sous Mumps GT.M et GNU/Linux               !
! Copyright (C) 2001-2015 by Hamid LOUAKED (HL).                             !
!                                                                            !
!----------------------------------------------------------------------------!

*/

"use strict"

var React = require('react');
var ReactBootstrap = require('react-bootstrap');
var {
  Panel,
  Grid,
  Row,
  Col
} = ReactBootstrap;

var ConsolePanel = React.createClass({

  getInitialState: function() {
    return {
      status: 'initial'
    }
  },

  componentWillMount: function() {
    this.controller = require('./controller-ConsolePanel')(this.props.controller, this);
    this.title = (
      <h1>Console</h1>
    );
  },

  componentWillReceiveProps: function(newProps) {
    this.onNewProps(newProps);
  },

  render: function() {

    //var componentPath = this.controller.updateComponentPath(this);

    return (
      <Panel collapsible expanded={this.expanded} header={this.title}>
         <div>Console Panel contents here</div>
        {
        <Grid>
          <Row>
            <Col md={4}>
              <div>Build details</div>
            </Col>
            <Col md={4}>
              <div>Master Process details</div>
            </Col>
            <Col md={4}>
              <div>Child Process details</div>
            </Col>
          </Row>
        </Grid>
        }
      </Panel>
    );
  }
});

module.exports = ConsolePanel;



